openapi: 3.0.1
info:
  title: OpenAPI definition
  version: v0
servers:
- description: Generated server url
  url: https://api.cve.btx.eu.banqup.com/entitycallback
paths:
  /v1/spaces/{spaceId}/extensions/{extensionId}/deactivate:
    post:
      tags:
      - Extensions
      summary: Deactivate extension
      description: "<div class='my-preview'><span>Preview: The API is in development
        or testing phases and the interface could still change slightly.</span></div>
        <br/> Deactivate extension <br/> Scope: []"
      operationId: deactivateExtension
      parameters:
      - name: spaceId
        in: path
        required: true
        schema:
          type: string
      - name: extensionId
        in: path
        required: true
        schema:
          type: string
      responses:
        default:
          description: Any other HTTP status code returned by the extension's deactivation
            callback. The content type and schema can vary.
        '404':
          description: Space or extension not found.
        '403':
          description: You do not have permission to deactivate this extension.
        '200':
          description: Success
  /v1/spaces/{spaceId}/extensions/{extensionId}/configure:
    post:
      tags:
      - Extensions
      summary: Configure extension
      description: "<div class='my-preview'><span>Preview: The API is in development
        or testing phases and the interface could still change slightly.</span></div>
        <br/> Configure extension <br/> Scope: []"
      operationId: configure
      parameters:
      - name: spaceId
        in: path
        required: true
        schema:
          type: string
      - name: extensionId
        in: path
        required: true
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConfigureRequest'
        required: true
      responses:
        '404':
          description: Space or extension not found.
        '422':
          description: Invalid settings in post body (e.g. array instead of object).
        '503':
          description: Fail to call configure proxy.
        '403':
          description: You do not have permission to configure this extension.
        '200':
          description: Success
  /v1/spaces/{spaceId}/extensions/{extensionId}/clients/{clientId}/deactivate:
    post:
      tags:
      - Extensions
      summary: Deactivate extension client
      description: "<div class='my-preview'><span>Preview: The API is in development
        or testing phases and the interface could still change slightly.</span></div>
        <br/> Deactivate extension client <br/> Scope: []"
      operationId: deactivateExtensionClient
      parameters:
      - name: spaceId
        in: path
        required: true
        schema:
          type: string
      - name: extensionId
        in: path
        required: true
        schema:
          type: string
      - name: clientId
        in: path
        required: true
        schema:
          type: string
      responses:
        '403':
          description: You do not have permission to deactivate this extension client.
        '404':
          description: Space, extension or client not found.
        '200':
          description: Success
  /v1/spaces/{spaceId}/extensions/{extensionId}/clients/{clientId}/configure:
    post:
      tags:
      - Extensions
      summary: Configure extension client
      description: "<div class='my-preview'><span>Preview: The API is in development
        or testing phases and the interface could still change slightly.</span></div>
        <br/> Configure extension client <br/> Scope: []"
      operationId: configureExtensionClient
      parameters:
      - name: spaceId
        in: path
        required: true
        schema:
          type: string
      - name: extensionId
        in: path
        required: true
        schema:
          type: string
      - name: clientId
        in: path
        required: true
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConfigureRequest'
        required: true
      responses:
        '403':
          description: You do not have permission to configure this extension client.
        '422':
          description: Invalid settings in post body (e.g. array instead of object).
        '404':
          description: Space, extension or client not found.
        '503':
          description: Fail to call configure proxy.
        '200':
          description: Success
  /v1/spaces/{spaceId}/extensions/{extensionId}/clients/{clientId}/activate:
    post:
      tags:
      - Extensions
      summary: Activate extension client
      description: "<div class='my-preview'><span>Preview: The API is in development
        or testing phases and the interface could still change slightly.</span></div>
        <br/> Activate extension client <br/> Scope: []"
      operationId: activateExtensionClient
      parameters:
      - name: spaceId
        in: path
        required: true
        schema:
          type: string
      - name: extensionId
        in: path
        required: true
        schema:
          type: string
      - name: clientId
        in: path
        required: true
        schema:
          type: string
      responses:
        '404':
          description: Space, extension or client not found.
        '403':
          description: You do not have permission to activate this extension client.
        '200':
          description: Success
  /v1/spaces/{spaceId}/extensions/{extensionId}/activate:
    post:
      tags:
      - Extensions
      summary: Activate extension
      description: "<div class='my-preview'><span>Preview: The API is in development
        or testing phases and the interface could still change slightly.</span></div>
        <br/> Activate extension <br/> Scope: []"
      operationId: activateExtension
      parameters:
      - name: spaceId
        in: path
        required: true
        schema:
          type: string
      - name: extensionId
        in: path
        required: true
        schema:
          type: string
      responses:
        '404':
          description: Space or extension not found.
        '403':
          description: You do not have permission to activate this extension.
        '200':
          description: Success
        default:
          description: Any other HTTP status code returned by the extension's activation
            callback. The content type and schema can vary.
components:
  schemas:
    ConfigureRequest:
      required:
      - settings
      type: object
      properties:
        settings:
          type: object
          additionalProperties:
            type: object
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.cve.btx.eu.banqup.com/oauth2/client_credential/gettoken
          scopes:
            info: Scopes are endpoint-specific, see each endpoint for required scope.
        authorizationCode:
          authorizationUrl: https://api.cve.btx.eu.banqup.com/oauth2/auth
          tokenUrl: https://api.cve.btx.eu.banqup.com/oauth2/token
          scopes:
            info: Scopes are endpoint-specific, see each endpoint for required scope.
